### Function

# Pango Layout deserialize

since: 1.50

#### Declaration [src]

    PangoLayout*
    pango_layout_deserialize (
      PangoContext* context,
      GBytes* bytes,
      PangoLayoutDeserializeFlags flags,
      GError** error
    )

#### Description [src]

Loads data previously created via `pango_layout_serialize()`.

For a discussion of the supported format, see that function.

Note: to verify that the returned layout is identical to the one that was serialized, you can compare `bytes` to the result of serializing the layout again.

Available since: 1.50

#### Parameters

`context`

  Type: `PangoContext`

  A `PangoContext`

  The data is owned by the caller of the function.

`bytes`

  Type: `GBytes`

  The bytes containing the data.

  The data is owned by the caller of the function.

`flags`

  Type: `PangoLayoutDeserializeFlags`

  `PangoLayoutDeserializeFlags`

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `PangoLayout`

A new `PangoLayout`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.